
Infrastructure - Task #4029

Story # 3755 (Closed): Structural changes to D1 APIs for 2.0 release

Add method getCapabilities to the CN API

2013-10-02 21:53 - Robert Waltz

Status: Closed Start date: 2013-10-02

Priority: Normal Due date:  

Assignee: Ben Leinfelder % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: CCI-2.0.0   

Milestone: CCI-2.0 Story Points:  

Product Version: 2.0.0   

Description

getNodeCapabilities called from cn.dataone.org/cn (or cn/v2 ?) should return the current cn's capabilities.

History

#1 - 2013-10-02 21:54 - Robert Waltz

- Description updated

#2 - 2013-10-02 21:56 - Robert Waltz

- Subject changed from Create on the CN a getNodeCapabilities to Add method getNodeCapabilities the CN

#3 - 2013-10-02 21:57 - Robert Waltz

- Subject changed from Add method getNodeCapabilities the CN to Add method getNodeCapabilities to the CN API

#4 - 2014-07-10 00:47 - Ben Leinfelder

- Status changed from New to Rejected

- translation missing: en.field_remaining_hours set to 0.0

Duplicate of #4030

#5 - 2014-07-10 01:10 - Ben Leinfelder

- Estimated time set to 0.00

- Subject changed from Add method getNodeCapabilities to the CN API to Add method getCapabilities to the CN API

Would like to re-open this. i see the difference now.

#6 - 2014-07-10 01:35 - Dave Vieglais

- Status changed from Rejected to Closed

Issue needs to be closed rather than rejected.

#7 - 2014-07-10 16:47 - Matthew Jones

- Status changed from Closed to In Progress

#8 - 2014-07-10 17:07 - Ben Leinfelder

- Status changed from In Progress to Closed
https://redmine.dataone.org/issues/4030


This is now in the method xref and the API spec for v2.

#9 - 2014-07-30 03:01 - Robert Waltz

- Assignee changed from Robert Waltz to Ben Leinfelder

#10 - 2014-10-01 16:51 - Robert Waltz

- Target version set to CCI-2.0.0
